## con

#### OS/161 Reference Manual

### Name

con - system login console

### Synopsis

device con0 at lser*
device con0 at lscreen*

### Description

The generic console device can be attached to either a serial port or a memory-mapped screen. It provides a small input buffer but no input editing. You may add such features if you desire.

The in-kernel kprintf() routine and its relatives send their output to the console device.

### Files

`con:`

### See Also

lser, lscreen